# $Revision: 1.21 $, $Date: 2002/09/04 12:54:00 $
#
# Conditional build:
# _with_tests - perform "make test"
%include	/usr/lib/rpm/macros.perl
Summary:	MOP::MOP - Perl extension providing a meta-object protocol for Perl modules
Summary(pl):	MOP::MOP - rozszerzenie Perla udostpniajce moduom meta-obiektowy protok
Name:		perl-MOP
Version:	1.00
Release:	8
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/MOP/MOP-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
%if %{?_with_tests:1}%{!?_with_tests:0}
BuildRequires:	perl-Filter
BuildRequires:	rsh
BuildRequires:	rshd
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a simple and, in my opinion, powerful meta-object
protocol (MOP) for Perl5 modules.  In short, such MOP allows to trap
the method calls made on an object (represented by a reference) before
they reach the original module implementing them. These method calls
are redirected to another module, called the meta-module, before their
execution. The original (legitimate) destination of the method call is
in the (base) module. Of course, one day or another, the meta-module
should perform the actual normal method call at the base level, but it
can do some nice things before or after doing that. And this is the
whole purpose of its existence.

%description -l pl
Ten modu udostpnia moduom Perla prosty, i, zdaniem autora, o duych
moliwociach protok meta-obiektowy (meta-object protocol - MOP). W
skrcie, MOP pozwala na przechwytywanie wywoa metod na obiekcie
(reprezentowanym przez referencj) przed osigniciem oryginalnego
moduu zawierajcego implementacj. Te wywoania metod s przed
wykonaniem przekierowywane do innego moduu, zwanego meta-moduem.
Oryginalny cel wywoania metody jest w module bazowym. Oczywicie w
ktrym momencie meta-modu powinien wykona normalne wywoanie metody
na poziomie podstawowym, ale przed lub po tym moe robi rne rzeczy.
I to wanie jest celem istnienia moduu MOP.

%prep
%setup -q -n MOP-%{version}

%build
perl Makefile.PL
%{__make}

%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/MOP
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-MOP.spec,v $
Revision 1.21  2002/09/04 12:54:00  ankry
- more BRs (for tests only)

Revision 1.20  2002/08/26 10:14:02  radek
- tests default off: some of them require internet connection.  STBR

Revision 1.19  2002/08/14 15:59:10  qboosh
- pl description, release 8

Revision 1.18  2002/08/11 19:36:48  radek
- release up

Revision 1.17  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.16  2002/08/11 13:53:40  radek
- conditional tests

Revision 1.15  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.14  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:29:40  depesz
adapterized

Revision 1.12  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:19  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:12:12  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/11 02:08:28  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:55  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:12:37  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
